﻿using Syncfusion.Pdf;
using Syncfusion.Pdf.Graphics;
using Syncfusion.Pdf.Interactive;
using Syncfusion.Pdf.Parsing;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsSample
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }        
        private void Form1_Load(object sender, EventArgs e)
        {
            //Create a new PDF document
            PdfDocument doc = new PdfDocument();

            //Add new PDF page
            PdfPage page = doc.Pages.Add();

            //Create a new PDF text box field
            PdfTextBoxField tBox = new PdfTextBoxField(page, "text1");

            //Set the location
            tBox.Bounds = new RectangleF(0, 0, 500, 40);

            tBox.Font = new PdfTrueTypeFont(new Font("Segoe UI", 12, FontStyle.Regular), true) ;
           
            //Set the multiline
            tBox.Multiline = true;

            //Set the text
            tBox.Text = "עבד אלרא'וף ח'אדם {he-IL};عبد الرؤوف خادم {he-IL};عبدالروف خادم {ar-SA};アブドゥル·ラウフ·ハーデム {ja-JP};ムラーアブドゥルラウフ {ja-JP};ムラー·アブドゥル·ラウフ·アリーザ {ja-JP}";
            
            //Enable the default appearance of the form fields
            doc.Form.SetDefaultAppearance(true);

            //Add the textbox field to the PDF form
            doc.Form.Fields.Add(tBox);
           
            //Save the document
            doc.Save("output.pdf");

            //PdfLoadedDocument ldoc = new PdfLoadedDocument("output.pdf");



            //PdfLoadedTextBoxField lf = ldoc.Form.Fields[0] as PdfLoadedTextBoxField;

            //ldoc.Form.SetDefaultAppearance(true);

            //ldoc.Save("output1.pdf");

            //Close the document
            doc.Close(true);

            System.Diagnostics.Process.Start("output.pdf");          
        }    
    }
}
